
#include "StableObject.h"

/**
 * Aktueller Stand
 *
 *   $RCSfile: StableObject.cc,v $
 *   $Revision: 1.10 $
 *   $Date: 1998/08/14 13:21:18 $
 *   $Author: myritz $ 
 *
 */

StableObject::StableObject() 
  : theId( UNDEF_ID) , thePos( Vector() ) 
{
}

StableObject::StableObject( int anId, const Vector& aVector ) 
  : theId( anId ), thePos( aVector )
{
}

StableObject::~StableObject() {
}

StorableObject* StableObject::copy() const {
  return new StableObject( *this );
}


String StableObject::toString() const 
{
  String output;
  output = String( "( id: " ) + String( id() ) + String(", position: ") + 
    pos().toString() + String( " )" );
  return output;
}


