
/**
 * Aktueller Stand
 *
 *   $RCSfile: Common.cc,v $
 *   $Revision: 1.4 $
 *   $Date: 1998/08/14 13:20:01 $
 *   $Author: myritz $ 
 *
 */

#include "Common.h"
#include "String.h"
#include "Exception.h"
#include "Log.h"
 
double globalComparisonAccuracy = DEFAULT_COMPARISON_ACCURACY;
 
double normalizeAngle(double angle) 
{
  double phaseShift;

  if( angle == UNDEF_DOUBLE ) {
    throwException( Exception( "Cannot normalize undef angle" ) );
  }
  else if ( angle > PI ) {
    phaseShift = floor( ( angle + PI ) / ( 2.0 * PI) );
    angle -= phaseShift * ( 2.0 * PI );
  }
  else if ( angle < -PI ) {
    phaseShift = -ceil( ( angle - PI ) / ( 2.0 * PI) );
    angle += phaseShift * ( 2.0 * PI );
  }  

  return angle;
}

void endlessLoop() 
{
  INFO( Log::ANY, 2, "Endlosschleife erreicht.\n" );
  while ( YES ) {
  }
}


