#ifndef _INVALID_ID_EXCEPTION_H_
#define _INVALID_ID_EXCEPTION_H_

#include "Exception.h"
#include "String.h"

/**
  Fehlerklasse ungueltige Id. Wird von Routinen erzeugt, die eine Id erwarten 
  und einen int mit unpassenden Wert erhalten.

  {\small {\bf Quelltext}

  [\URL[Header]{src/InvalidIdException.h} | [\URL[Implementierung]{src/InvalidIdException.cc}]

  {\bf CVS Informationen zum Interface}
  \begin{verbatim}
  **************************************************
  *
  * Aktueller Stand
  *
  *   $RCSfile: InvalidIdException.h,v $
  *   $Revision: 1.7 $
  *   $Date: 1998/08/14 13:20:44 $
  *   $Author: myritz $ 
  *
  **************************************************
  \end{verbatim} }*/
class InvalidIdException: public Exception 
{
public:
  InvalidIdException(const String& aDescription )
    : Exception( aDescription ) {}
};

#endif
