
/**
 * Aktueller Stand
 *
 *   $RCSfile: ViewPoint.cc,v $
 *   $Revision: 1.4 $
 *   $Date: 1998/08/14 13:21:30 $
 *   $Author: myritz $ 
 *
 */
 
#include "ViewPoint.h"

ViewPoint::ViewPoint( const Vector& aPos, double aFaceDir ) 
  : thePos(aPos), theFaceDir(aFaceDir) {
}

String ViewPoint::toString() const
{
  String output;
  
  output = "( position: " + pos().toString() + ", faceDir: " +
    String( faceDir() / PI_FACTOR ) + " )";
  
  return output;
}

StorableObject* ViewPoint::copy() const
{
  return new ViewPoint( *this );
}
