#ifndef _CONSTRAINTS_H_
#define _CONSTRAINTS_H_

#include "Array.h"
#include "Constraint.h"
#include "ConserveStaminaConstraint.h"
#include "AvoidOffsideConstraint.h"

/*
 * Aktueller Stand
 *
 *   $RCSfile: Constraints.h,v $
 *   $Revision: 1.9 $
 *   $Date: 1998/08/14 13:20:11 $
 *   $Author: myritz $ 
 * */
/** Liefert ein Constraint mit der gewuenschten Id. */
Constraint *getConstraintWithId( int constraintId );

/** Liefert ein Array mit allen moeglichen Constraint-Ids. */
Array<int> constraintIds();


#endif
